From 96c39ff13859926f68bec587912201472a940bda Mon Sep 17 00:00:00 2001
From: Jeremy Cline <jeremy@jcline.org>
Date: Feb 06 2017 22:07:21 +0000
Subject: [PATCH 690/1001] Remove session from ``User.by_username`` calls


These two calls got missed by the cleanup in PR#311

Signed-off-by: Jeremy Cline <jeremy@jcline.org>

---

diff --git a/hubs/widgets/contact.py b/hubs/widgets/contact.py
index b14e126..4bd5597 100644
--- a/hubs/widgets/contact.py
+++ b/hubs/widgets/contact.py
@@ -25,7 +25,7 @@ def data(session, widget, **kwargs):
     hub = widget.hub
     if hub.user_hub:
         usergroup = True
-        user = hubs.models.User.by_username(session, hub.name)
+        user = hubs.models.User.by_username(hub.name)
         email = user.username + '@fedoraproject.org'
         karma_url = flask.url_for('plus_plus_status', user=user.username)
         fas_info = {
diff --git a/hubs/widgets/subscriptions.py b/hubs/widgets/subscriptions.py
index 8035d3d..4446c25 100755
--- a/hubs/widgets/subscriptions.py
+++ b/hubs/widgets/subscriptions.py
@@ -26,7 +26,7 @@ position = 'right'
           validator=validators.username,
           help="A FAS username.")
 def data(session, widget, username):
-    user = hubs.models.User.by_username(session, username)
+    user = hubs.models.User.by_username(username)
     ownerships = [u.name for u in user.ownerships]
     memberships = [u.name for u in user.memberships]
     subscriptions = [u.name for u in user.subscriptions]

